Upstream information

CVE-2017-18043 at MITRE

Description

Integer overflow in the macro ROUND_UP (n, d) in Quick Emulator (Qemu) allows a user to cause a denial of service (Qemu process crash).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 2.5
Vector AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:L
Access Vector Local
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1076775 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform ALL
  • qemu >= 2.9.1-6.12.1
  • qemu-guest-agent >= 2.9.1-6.12.1
Patchnames:
SUSE-CAASP-ALL-2018-516
SUSE Linux Enterprise Desktop 12 SP2
  • qemu >= 2.6.2-41.37.1
  • qemu-block-curl >= 2.6.2-41.37.1
  • qemu-ipxe >= 1.0.0-41.37.1
  • qemu-kvm >= 2.6.2-41.37.1
  • qemu-seabios >= 1.9.1-41.37.1
  • qemu-sgabios >= 8-41.37.1
  • qemu-tools >= 2.6.2-41.37.1
  • qemu-vgabios >= 1.9.1-41.37.1
  • qemu-x86 >= 2.6.2-41.37.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-555
SUSE Linux Enterprise Desktop 12 SP3
  • qemu >= 2.9.1-6.12.1
  • qemu-block-curl >= 2.9.1-6.12.1
  • qemu-ipxe >= 1.0.0-6.12.1
  • qemu-kvm >= 2.9.1-6.12.1
  • qemu-seabios >= 1.10.2-6.12.1
  • qemu-sgabios >= 8-6.12.1
  • qemu-tools >= 2.9.1-6.12.1
  • qemu-vgabios >= 1.10.2-6.12.1
  • qemu-x86 >= 2.9.1-6.12.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-516
SUSE Linux Enterprise Server 12 SP2
  • qemu >= 2.6.2-41.37.1
  • qemu-arm >= 2.6.2-41.37.1
  • qemu-block-curl >= 2.6.2-41.37.1
  • qemu-block-rbd >= 2.6.2-41.37.1
  • qemu-block-ssh >= 2.6.2-41.37.1
  • qemu-guest-agent >= 2.6.2-41.37.1
  • qemu-ipxe >= 1.0.0-41.37.1
  • qemu-kvm >= 2.6.2-41.37.1
  • qemu-lang >= 2.6.2-41.37.1
  • qemu-ppc >= 2.6.2-41.37.1
  • qemu-s390 >= 2.6.2-41.37.1
  • qemu-seabios >= 1.9.1-41.37.1
  • qemu-sgabios >= 8-41.37.1
  • qemu-tools >= 2.6.2-41.37.1
  • qemu-vgabios >= 1.9.1-41.37.1
  • qemu-x86 >= 2.6.2-41.37.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-555
SUSE Linux Enterprise Server 12 SP3
  • qemu >= 2.9.1-6.12.1
  • qemu-arm >= 2.9.1-6.12.1
  • qemu-block-curl >= 2.9.1-6.12.1
  • qemu-block-iscsi >= 2.9.1-6.12.1
  • qemu-block-rbd >= 2.9.1-6.12.1
  • qemu-block-ssh >= 2.9.1-6.12.1
  • qemu-guest-agent >= 2.9.1-6.12.1
  • qemu-ipxe >= 1.0.0-6.12.1
  • qemu-kvm >= 2.9.1-6.12.1
  • qemu-lang >= 2.9.1-6.12.1
  • qemu-ppc >= 2.9.1-6.12.1
  • qemu-s390 >= 2.9.1-6.12.1
  • qemu-seabios >= 1.10.2-6.12.1
  • qemu-sgabios >= 8-6.12.1
  • qemu-tools >= 2.9.1-6.12.1
  • qemu-vgabios >= 1.10.2-6.12.1
  • qemu-x86 >= 2.9.1-6.12.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-516
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • qemu >= 2.6.2-41.37.1
  • qemu-arm >= 2.6.2-41.37.1
  • qemu-block-curl >= 2.6.2-41.37.1
  • qemu-block-rbd >= 2.6.2-41.37.1
  • qemu-block-ssh >= 2.6.2-41.37.1
  • qemu-guest-agent >= 2.6.2-41.37.1
  • qemu-ipxe >= 1.0.0-41.37.1
  • qemu-lang >= 2.6.2-41.37.1
  • qemu-tools >= 2.6.2-41.37.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-555
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • qemu >= 2.6.2-41.37.1
  • qemu-arm >= 2.6.2-41.37.1
  • qemu-block-curl >= 2.6.2-41.37.1
  • qemu-block-rbd >= 2.6.2-41.37.1
  • qemu-block-ssh >= 2.6.2-41.37.1
  • qemu-guest-agent >= 2.6.2-41.37.1
  • qemu-ipxe >= 1.0.0-41.37.1
  • qemu-kvm >= 2.6.2-41.37.1
  • qemu-lang >= 2.6.2-41.37.1
  • qemu-ppc >= 2.6.2-41.37.1
  • qemu-s390 >= 2.6.2-41.37.1
  • qemu-seabios >= 1.9.1-41.37.1
  • qemu-sgabios >= 8-41.37.1
  • qemu-tools >= 2.6.2-41.37.1
  • qemu-vgabios >= 1.9.1-41.37.1
  • qemu-x86 >= 2.6.2-41.37.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-555
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • qemu >= 2.9.1-6.12.1
  • qemu-arm >= 2.9.1-6.12.1
  • qemu-block-curl >= 2.9.1-6.12.1
  • qemu-block-iscsi >= 2.9.1-6.12.1
  • qemu-block-rbd >= 2.9.1-6.12.1
  • qemu-block-ssh >= 2.9.1-6.12.1
  • qemu-guest-agent >= 2.9.1-6.12.1
  • qemu-ipxe >= 1.0.0-6.12.1
  • qemu-kvm >= 2.9.1-6.12.1
  • qemu-lang >= 2.9.1-6.12.1
  • qemu-ppc >= 2.9.1-6.12.1
  • qemu-s390 >= 2.9.1-6.12.1
  • qemu-seabios >= 1.10.2-6.12.1
  • qemu-sgabios >= 8-6.12.1
  • qemu-tools >= 2.9.1-6.12.1
  • qemu-vgabios >= 1.10.2-6.12.1
  • qemu-x86 >= 2.9.1-6.12.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-516
openSUSE Leap 42.3
  • qemu >= 2.9.1-41.1
  • qemu-arm >= 2.9.1-41.1
  • qemu-arm-debuginfo >= 2.9.1-41.1
  • qemu-block-curl >= 2.9.1-41.1
  • qemu-block-curl-debuginfo >= 2.9.1-41.1
  • qemu-block-dmg >= 2.9.1-41.1
  • qemu-block-dmg-debuginfo >= 2.9.1-41.1
  • qemu-block-iscsi >= 2.9.1-41.1
  • qemu-block-iscsi-debuginfo >= 2.9.1-41.1
  • qemu-block-rbd >= 2.9.1-41.1
  • qemu-block-rbd-debuginfo >= 2.9.1-41.1
  • qemu-block-ssh >= 2.9.1-41.1
  • qemu-block-ssh-debuginfo >= 2.9.1-41.1
  • qemu-debugsource >= 2.9.1-41.1
  • qemu-extra >= 2.9.1-41.1
  • qemu-extra-debuginfo >= 2.9.1-41.1
  • qemu-guest-agent >= 2.9.1-41.1
  • qemu-guest-agent-debuginfo >= 2.9.1-41.1
  • qemu-ipxe >= 1.0.0-41.1
  • qemu-ksm >= 2.9.1-41.1
  • qemu-kvm >= 2.9.1-41.1
  • qemu-lang >= 2.9.1-41.1
  • qemu-linux-user >= 2.9.1-41.1
  • qemu-linux-user-debuginfo >= 2.9.1-41.1
  • qemu-linux-user-debugsource >= 2.9.1-41.1
  • qemu-ppc >= 2.9.1-41.1
  • qemu-ppc-debuginfo >= 2.9.1-41.1
  • qemu-s390 >= 2.9.1-41.1
  • qemu-s390-debuginfo >= 2.9.1-41.1
  • qemu-seabios >= 1.10.2-41.1
  • qemu-sgabios >= 8-41.1
  • qemu-testsuite >= 2.9.1-41.1
  • qemu-tools >= 2.9.1-41.1
  • qemu-tools-debuginfo >= 2.9.1-41.1
  • qemu-vgabios >= 1.10.2-41.1
  • qemu-x86 >= 2.9.1-41.1
  • qemu-x86-debuginfo >= 2.9.1-41.1
Patchnames:
openSUSE-2018-291


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 qemu Released
SUSE Linux Enterprise Desktop 12 SP2 qemu Released
SUSE Linux Enterprise Desktop 12 SP3 qemu Released
SUSE Linux Enterprise Point of Sale 11 SP3 qemu Not affected
SUSE Linux Enterprise SDK 11 SP4 qemu Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS kvm Not affected
SUSE Linux Enterprise Server 11 SP4 kvm Not affected
SUSE Linux Enterprise Server 12 SP2 qemu Released
SUSE Linux Enterprise Server 12 SP3 qemu Released
SUSE Studio Onsite 1.3 qemu Not affected